GNU bug report logs - #14250
file locking fails if the hostname contains an @ character

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: "Elrod, David" <elrodd@HIDDEN>; dated Tue, 23 Apr 2013 20:07:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'file locking fails if the hostname contains an @ character' from '23.1; Files locked by myself' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 14250 <at> debbugs.gnu.org:


Received: (at 14250) by debbugs.gnu.org; 20 Jun 2013 16:31:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 20 12:31:56 2013
Received: from localhost ([127.0.0.1]:58903 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Uphm7-00022i-Rv
	for submit <at> debbugs.gnu.org; Thu, 20 Jun 2013 12:31:56 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:39123 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1Uphm5-00022W-M6
 for 14250 <at> debbugs.gnu.org; Thu, 20 Jun 2013 12:31:54 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1Uphm5-0004xr-1f; Thu, 20 Jun 2013 12:31:53 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 14250 <at> debbugs.gnu.org
Subject: Re: bug#14250: 23.1; Files locked by myself
References: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
 <m261zdm1xo.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F93175376D5A80@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB391@HIDDEN>
 <wusj0d7n0z.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB607@HIDDEN>
 <8pppvhpv95.fsf_-_@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB63A@HIDDEN>
 <43vc59mg6z.fsf@HIDDEN>
X-Spook: CIA Sears Tower spies Hamas terrorism NORAD jihad EuroFed
X-Ran: XJ<(P,/h%g5yZE4n?8h:3^FN7M'Mki\mqWFt7z{)_^}G}jiW_7"^_u%nUJY@%4cJzIk5b(
X-Hue: yellow
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 20 Jun 2013 12:31:52 -0400
In-Reply-To: <43vc59mg6z.fsf@HIDDEN> (Glenn Morris's message of
 "Thu, 20 Jun 2013 02:47:32 -0400")
Message-ID: <wjobb07ngn.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 14250
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)


I'm surprised that one can even set a hostname to something with an "@";
but if the system otherwise seems to work fine, Emacs should not fail in
this cryptic way. Eg it could escape any "@" characters in the hostname
when making the lockfile name.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.

Message received at 14250 <at> debbugs.gnu.org:


Received: (at 14250) by debbugs.gnu.org; 20 Jun 2013 15:55:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 20 11:55:16 2013
Received: from localhost ([127.0.0.1]:58846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UphCc-0000gK-Of
	for submit <at> debbugs.gnu.org; Thu, 20 Jun 2013 11:55:15 -0400
Received: from mail4.sharplabs.com ([216.65.151.214]:51608)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <elrodd@HIDDEN>) id 1UphCZ-0000fi-UI
 for 14250 <at> debbugs.gnu.org; Thu, 20 Jun 2013 11:55:13 -0400
X-ASG-Debug-ID: 1371743694-020808098d4ffae0001-iujQmh
Received: from WABCASP2.sharpamericas.com (wabcasp2.sharplabs.com
 [172.29.224.3]) by mail4.sharplabs.com with ESMTP id ze7pGTCP4nbfHtjB;
 Thu, 20 Jun 2013 08:54:54 -0700 (PDT)
X-Barracuda-Envelope-From: elrodd@HIDDEN
Received: from WABEXCHP1.sharpamericas.com ([fe80::f930:84ca:49e6:2cbd]) by
 WABCASP2.sharpamericas.com ([172.29.224.3]) with mapi id 14.03.0123.003; Thu,
 20 Jun 2013 08:54:54 -0700
From: "Elrod, David" <elrodd@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: RE: bug#14250: 23.1; Files locked by myself
Thread-Topic: bug#14250: 23.1; Files locked by myself
X-ASG-Orig-Subj: RE: bug#14250: 23.1; Files locked by myself
Thread-Index: AQHObYIJnxcgRq2jQ0G2Mhmo7M706Jk+wWsC
Date: Thu, 20 Jun 2013 15:54:53 +0000
Message-ID: <17E84D662FD8204FB8C0E82A88F931755F8EB6E1@HIDDEN>
References: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
 <m261zdm1xo.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F93175376D5A80@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB391@HIDDEN>
 <wusj0d7n0z.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB607@HIDDEN>
 <8pppvhpv95.fsf_-_@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB63A@HIDDEN>,
 <43vc59mg6z.fsf@HIDDEN>
In-Reply-To: <43vc59mg6z.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [172.29.227.6]
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Barracuda-Connect: wabcasp2.sharplabs.com[172.29.224.3]
X-Barracuda-Start-Time: 1371743694
X-Barracuda-URL: http://mail4.enet.sharplabs.com:8000/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at sharplabs.com
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.02
X-Barracuda-Spam-Status: No,
 SCORE=0.02 using per-user scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=9.0 tests=THREAD_INDEX, THREAD_TOPIC
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.2.134466
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.01 THREAD_INDEX           thread-index: AcO7Y8iR61tzADqsRmmc5wNiFHEOig==
 0.01 THREAD_TOPIC           Thread-Topic: ...(Japanese Subject)...
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 14250
Cc: "14250 <at> debbugs.gnu.org" <14250 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Problem solved!=0A=
=0A=
Thanks Glenn!  I have no idea how the '@' got there in my host name.=0A=
That isn't common in host names here, or any other place I've worked.=0A=
=0A=
However, I'm so used to seeing email addresses, I never noticed it.=0A=
=0A=
Thank you,=0A=
David=0A=
=0A=
________________________________________=0A=
From: Glenn Morris [rgm@HIDDEN]=0A=
Sent: Wednesday, June 19, 2013 23:47=0A=
To: Elrod, David=0A=
Cc: 14250 <at> debbugs.gnu.org=0A=
Subject: Re: bug#14250: 23.1; Files locked by myself=0A=
=0A=
"Elrod, David" wrote:=0A=
=0A=
>   M-: (file-locked-p (buffer-file-name))=0A=
> returns=0A=
>   "elrodd@elroddDesk"=0A=
>=0A=
>   M-: (system-name)=0A=
> returns=0A=
>   "elroddDesk@HIDDEN"=0A=
=0A=
Thanks!=0A=
The problem is the "@" in your system-name.=0A=
Can you change it to something without an "@", eg=0A=
  elroddDesk.enet.sharplabs.com=0A=
?=0A=
=0A=
I don't think an "@" is valid in a hostname, is it?=0A=
=0A=
filelock.c:current_lock_owner assumes that the username is "everything=0A=
before the last @"; ie there may in theory be "@" in the username, but=0A=
not in the hostname.=0A=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.

Message received at 14250 <at> debbugs.gnu.org:


Received: (at 14250) by debbugs.gnu.org; 20 Jun 2013 06:47:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 20 02:47:38 2013
Received: from localhost ([127.0.0.1]:57469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UpYef-0006Xz-Fk
	for submit <at> debbugs.gnu.org; Thu, 20 Jun 2013 02:47:37 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:51745 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1UpYec-0006Xo-I3
 for 14250 <at> debbugs.gnu.org; Thu, 20 Jun 2013 02:47:35 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1UpYea-0003RT-D5; Thu, 20 Jun 2013 02:47:32 -0400
From: Glenn Morris <rgm@HIDDEN>
To: "Elrod\, David" <elrodd@HIDDEN>
Subject: Re: bug#14250: 23.1; Files locked by myself
References: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
 <m261zdm1xo.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F93175376D5A80@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB391@HIDDEN>
 <wusj0d7n0z.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB607@HIDDEN>
 <8pppvhpv95.fsf_-_@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB63A@HIDDEN>
X-Spook: condor Glock Crowell Geraldton Axis of Evil Islam
X-Ran: W&KrRaQdieZB!9GGo}_A84}>W$yE0UlVJwE<=GG$h2L^641_?dqAOKMvVy`_lx\W1_=2ic
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 20 Jun 2013 02:47:32 -0400
In-Reply-To: <17E84D662FD8204FB8C0E82A88F931755F8EB63A@HIDDEN>
 (David Elrod's message of "Wed, 19 Jun 2013 23:31:00 +0000")
Message-ID: <43vc59mg6z.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 14250
Cc: "14250 <at> debbugs.gnu.org" <14250 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

"Elrod, David" wrote:

>   M-: (file-locked-p (buffer-file-name))
> returns
>   "elrodd@elroddDesk"
>
>   M-: (system-name)
> returns
>   "elroddDesk@HIDDEN"

Thanks!
The problem is the "@" in your system-name.
Can you change it to something without an "@", eg
  elroddDesk.enet.sharplabs.com
?

I don't think an "@" is valid in a hostname, is it?

filelock.c:current_lock_owner assumes that the username is "everything
before the last @"; ie there may in theory be "@" in the username, but
not in the hostname.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.

Message received at 14250 <at> debbugs.gnu.org:


Received: (at 14250) by debbugs.gnu.org; 20 Jun 2013 00:40:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 19 20:40:37 2013
Received: from localhost ([127.0.0.1]:56918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UpSvU-0000Hh-9m
	for submit <at> debbugs.gnu.org; Wed, 19 Jun 2013 20:40:37 -0400
Received: from mail4.sharplabs.com ([216.65.151.214]:42232)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <elrodd@HIDDEN>) id 1UpSvP-0000HO-SL
 for 14250 <at> debbugs.gnu.org; Wed, 19 Jun 2013 20:40:33 -0400
X-ASG-Debug-ID: 1371688802-02080809904f14e0001-iujQmh
Received: from WABCASP1.sharpamericas.com ([172.29.224.253]) by
 mail4.sharplabs.com with ESMTP id CEoG2GCKwbXabhWp;
 Wed, 19 Jun 2013 17:40:03 -0700 (PDT)
X-Barracuda-Envelope-From: elrodd@HIDDEN
Received: from WABEXCHP1.sharpamericas.com ([fe80::f930:84ca:49e6:2cbd]) by
 Wabcasp1 ([172.29.224.2]) with mapi id 14.03.0123.003; Wed, 19 Jun 2013
 17:40:01 -0700
From: "Elrod, David" <elrodd@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: RE: bug#14250: 23.1; Files locked by myself
Thread-Topic: bug#14250: 23.1; Files locked by myself
X-ASG-Orig-Subj: RE: bug#14250: 23.1; Files locked by myself
Thread-Index: AQHObUAfnxcgRq2jQ0G2Mhmo7M706Jk9r6It
Date: Thu, 20 Jun 2013 00:40:00 +0000
Message-ID: <17E84D662FD8204FB8C0E82A88F931755F8EB65C@HIDDEN>
References: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
 <m261zdm1xo.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F93175376D5A80@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB391@HIDDEN>
 <wusj0d7n0z.fsf@HIDDEN>	<rppvheni1.fsf_-_@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB614@HIDDEN>,
 <5kli65pv6a.fsf@HIDDEN>
In-Reply-To: <5kli65pv6a.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
x-originating-ip: [172.29.227.6]
Content-Type: multipart/mixed;
 boundary="_002_17E84D662FD8204FB8C0E82A88F931755F8EB65Cwabexchp1sharpa_"
MIME-Version: 1.0
X-Barracuda-Connect: UNKNOWN[172.29.224.253]
X-Barracuda-Start-Time: 1371688802
X-Barracuda-URL: http://mail4.enet.sharplabs.com:8000/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at sharplabs.com
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.02
X-Barracuda-Spam-Status: No,
 SCORE=0.02 using per-user scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=9.0 tests=THREAD_INDEX, THREAD_TOPIC
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.2.134407
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.01 THREAD_INDEX           thread-index: AcO7Y8iR61tzADqsRmmc5wNiFHEOig==
 0.01 THREAD_TOPIC           Thread-Topic: ...(Japanese Subject)...
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 14250
Cc: "14250 <at> debbugs.gnu.org" <14250 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

--_002_17E84D662FD8204FB8C0E82A88F931755F8EB65Cwabexchp1sharpa_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

Sigh...=0A=
=0A=
$ yum-builddep emacs=0A=
Loaded plugins: fastestmirror, refresh-packagekit=0A=
Loading mirror speeds from cached hostfile=0A=
 * base: mirrors.syringanetworks.net=0A=
 * centosplus: mirrors.easynews.com=0A=
 * contrib: mirror.spro.net=0A=
 * epel: ftp.osuosl.org=0A=
 * epel-source: ftp.osuosl.org=0A=
 * epel-testing-source: ftp.osuosl.org=0A=
 * extras: centos.tcpdiag.net=0A=
 * kde: apt.kde-redhat.org=0A=
 * updates: mirror.web-ster.com=0A=
Checking for new repos for mirrors=0A=
Enabling epel-source repository=0A=
Enabling epel-testing-source repository=0A=
No source RPM found for 1:emacs-23.1-21.el6_2.3.x86_64=0A=
No uninstalled build requires=0A=
$=0A=
=0A=
Doing:=0A=
  $ yum-builddep --nogpgcheck emacs-24.3-1.fu2013.src.rpm =0A=
I learned that there is no python3-devel package for Centos (yet).=0A=
=0A=
The snowball is getting bigger... :)=0A=
=0A=
I ran "./configure --without-x", however the build ran into problems,=0A=
so I removed the whole build tree.  Un-tarred the source file:=0A=
  emacs-24.3.tar.gz=0A=
and then did the configure and build with script turned on, which=0A=
is attached.=0A=
=0A=
Search for "Saving file /home/elrodd/src/Emacs/emacs-24.3/lisp/loaddefs.el.=
.."=0A=
for where the build had the lock problem that started all of this.  Maybe t=
his is=0A=
normal for the build???=0A=
=0A=
At the end of the 'make' the build dies because ".../.#ZIRANMA.el"=0A=
is a symlink to a very suspicious looking file.  See the end of the=0A=
script.=0A=
=0A=
Thank you so much for your help!=0A=
David=0A=
=0A=
=0A=
________________________________________=0A=
From: Glenn Morris [rgm@HIDDEN]=0A=
Sent: Wednesday, June 19, 2013 15:55=0A=
To: Elrod, David=0A=
Cc: 14250 <at> debbugs.gnu.org=0A=
Subject: Re: bug#14250: 23.1; Files locked by myself=0A=
=0A=
"Elrod, David" wrote:=0A=
=0A=
> Building emacs is non-trivial - I'm missing all kinds of libraries...=0A=
=0A=
  yum-builddep emacs=0A=
=0A=
will take care of (most of) that.=0A=

--_002_17E84D662FD8204FB8C0E82A88F931755F8EB65Cwabexchp1sharpa_
Content-Type: application/x-gzip; name="14250_script.out.gz"
Content-Description: 14250_script.out.gz
Content-Disposition: attachment; filename="14250_script.out.gz"; size=14610;
	creation-date="Thu, 20 Jun 2013 00:38:06 GMT";
	modification-date="Thu, 20 Jun 2013 00:38:06 GMT"
Content-Transfer-Encoding: base64
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--_002_17E84D662FD8204FB8C0E82A88F931755F8EB65Cwabexchp1sharpa_--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.

Message received at 14250 <at> debbugs.gnu.org:


Received: (at 14250) by debbugs.gnu.org; 19 Jun 2013 23:32:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 19 19:32:02 2013
Received: from localhost ([127.0.0.1]:56759 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UpRr7-0004NT-CL
	for submit <at> debbugs.gnu.org; Wed, 19 Jun 2013 19:32:01 -0400
Received: from mail4.sharplabs.com ([216.65.151.214]:41479)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <elrodd@HIDDEN>) id 1UpRr4-0004NC-Os
 for 14250 <at> debbugs.gnu.org; Wed, 19 Jun 2013 19:31:59 -0400
X-ASG-Debug-ID: 1371684661-02080809904f03f0001-iujQmh
Received: from WABCASP1.sharpamericas.com ([172.29.224.253]) by
 mail4.sharplabs.com with ESMTP id mmyqp6brkEYHgBSU;
 Wed, 19 Jun 2013 16:31:01 -0700 (PDT)
X-Barracuda-Envelope-From: elrodd@HIDDEN
Received: from WABEXCHP1.sharpamericas.com ([fe80::f930:84ca:49e6:2cbd]) by
 Wabcasp1 ([172.29.224.2]) with mapi id 14.03.0123.003; Wed, 19 Jun 2013
 16:31:01 -0700
From: "Elrod, David" <elrodd@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: RE: bug#14250: 23.1; Files locked by myself
Thread-Topic: bug#14250: 23.1; Files locked by myself
X-ASG-Orig-Subj: RE: bug#14250: 23.1; Files locked by myself
Thread-Index: AQHObT/hnxcgRq2jQ0G2Mhmo7M706Jk9pvi4
Date: Wed, 19 Jun 2013 23:31:00 +0000
Message-ID: <17E84D662FD8204FB8C0E82A88F931755F8EB63A@HIDDEN>
References: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
 <m261zdm1xo.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F93175376D5A80@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB391@HIDDEN>
 <wusj0d7n0z.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB607@HIDDEN>,
 <8pppvhpv95.fsf_-_@HIDDEN>
In-Reply-To: <8pppvhpv95.fsf_-_@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [172.29.227.6]
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Barracuda-Connect: UNKNOWN[172.29.224.253]
X-Barracuda-Start-Time: 1371684661
X-Barracuda-URL: http://mail4.enet.sharplabs.com:8000/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at sharplabs.com
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.02
X-Barracuda-Spam-Status: No,
 SCORE=0.02 using per-user scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=9.0 tests=THREAD_INDEX, THREAD_TOPIC
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.2.134403
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.01 THREAD_INDEX           thread-index: AcO7Y8iR61tzADqsRmmc5wNiFHEOig==
 0.01 THREAD_TOPIC           Thread-Topic: ...(Japanese Subject)...
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 14250
Cc: "14250 <at> debbugs.gnu.org" <14250 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

  M-: (file-locked-p (buffer-file-name))=0A=
returns=0A=
  "elrodd@elroddDesk"=0A=
=0A=
  M-: (system-name)=0A=
returns=0A=
  "elroddDesk@HIDDEN"=0A=
=0A=
  % ls -ld /tmp/.*=0A=
the interesting bit is:=0A=
  lrwxrwxrwx.  1 elrodd elrodd    53 Jun 19 16:23 /tmp/.#FOO -> elrodd@elro=
ddDesk@HIDDEN:1370987766=0A=
=0A=
% ps -p 24745=0A=
  PID TTY          TIME CMD=0A=
24745 pts/1    00:00:01 emacs=0A=
=0A=
% ps aux | head -1 ; ps aux | grep emacs=0A=
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND=0A=
elrodd   24745  0.0  0.3 313904 29432 pts/1    S    15:59   0:01 emacs /tmp=
/FOO=0A=
=0A=
=0A=
I really appreciate your help!=0A=
David=0A=
=0A=
=0A=
=0A=
=0A=
________________________________________=0A=
From: Glenn Morris [rgm@HIDDEN]=0A=
Sent: Wednesday, June 19, 2013 15:53=0A=
To: Elrod, David=0A=
Cc: 14250 <at> debbugs.gnu.org=0A=
Subject: Re: bug#14250: 23.1; Files locked by myself=0A=
=0A=
"Elrod, David" wrote:=0A=
=0A=
> My fault for not doing "reply all"...=0A=
>=0A=
> Typing:=0A=
>     ^Mx(file-locked-p=0A=
=0A=
You said:=0A=
=0A=
>  When I do:  M-:=0A=
>  the mini-buffer responds with "Eval: "=0A=
>=0A=
>  I then entered:=0A=
>     (file-locked-p(overview.html))=0A=
=0A=
So oviously you know about M-:. Use:=0A=
=0A=
  M-: (file-locked-p (buffer-file-name)) RET=0A=
=0A=
(Though I have no idea what this is supposed to tell us.)=0A=
=0A=
=0A=
Also, what does:=0A=
=0A=
M-: (system-name) RET=0A=
=0A=
return?=0A=
=0A=
=0A=
>  Each time I try to save It shows:=0A=
>    /tmp/FOO locked by elrodd <at> elrodd... (pid 21418): (s, q, p, ?)?=0A=
>  or similar in the status bar.=0A=
=0A=
At this point, what do the following show:=0A=
=0A=
ls -ld /tmp/.*=0A=
ps -p 21418    # replace with number from above=0A=
ps -u elrodd | grep emacs=0A=
=0A=
=0A=
=0A=
But again, simply compiling your own Emacs 24.3 may be easier.=0A=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.

Message received at 14250 <at> debbugs.gnu.org:


Received: (at 14250) by debbugs.gnu.org; 19 Jun 2013 22:55:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 19 18:55:46 2013
Received: from localhost ([127.0.0.1]:56689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UpRI1-0003Cb-MQ
	for submit <at> debbugs.gnu.org; Wed, 19 Jun 2013 18:55:45 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:34616 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1UpRHy-0003CL-FN
 for 14250 <at> debbugs.gnu.org; Wed, 19 Jun 2013 18:55:43 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1UpRHx-0003r0-Kt; Wed, 19 Jun 2013 18:55:41 -0400
From: Glenn Morris <rgm@HIDDEN>
To: "Elrod\, David" <elrodd@HIDDEN>
Subject: Re: bug#14250: 23.1; Files locked by myself
References: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
 <m261zdm1xo.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F93175376D5A80@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB391@HIDDEN>
 <wusj0d7n0z.fsf@HIDDEN>
 <rppvheni1.fsf_-_@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB614@HIDDEN>
X-Spook: Peking Semtex spies arrangements Chobetsu CDC red noise
X-Ran: qeEdIMB/K8PG.)tc$aUfa5@k;n+SR/Y/='7p"|I.mO41^.3u-Ai<8.#D9iu3;l\|_,P6`I
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 19 Jun 2013 18:55:41 -0400
In-Reply-To: <17E84D662FD8204FB8C0E82A88F931755F8EB614@HIDDEN>
 (David Elrod's message of "Wed, 19 Jun 2013 22:49:31 +0000")
Message-ID: <5kli65pv6a.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 14250
Cc: "14250 <at> debbugs.gnu.org" <14250 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

"Elrod, David" wrote:

> Building emacs is non-trivial - I'm missing all kinds of libraries...

  yum-builddep emacs

will take care of (most of) that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.

Message received at 14250 <at> debbugs.gnu.org:


Received: (at 14250) by debbugs.gnu.org; 19 Jun 2013 22:54:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 19 18:54:03 2013
Received: from localhost ([127.0.0.1]:56683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UpRGM-00039b-Ky
	for submit <at> debbugs.gnu.org; Wed, 19 Jun 2013 18:54:02 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:34571 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1UpRGK-000399-7K
 for 14250 <at> debbugs.gnu.org; Wed, 19 Jun 2013 18:54:01 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1UpRGJ-0003Xh-4L; Wed, 19 Jun 2013 18:53:59 -0400
From: Glenn Morris <rgm@HIDDEN>
To: "Elrod\, David" <elrodd@HIDDEN>
Subject: Re: bug#14250: 23.1; Files locked by myself
References: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
 <m261zdm1xo.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F93175376D5A80@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB391@HIDDEN>
 <wusj0d7n0z.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB607@HIDDEN>
X-Spook: AMEMB ARPA USDOJ class struggle Agfa underground Manfurov
X-Ran: pC&{g$ux;o,gKc{H4V;+veLFU.}1/{3w2_$Nwgr-E*1l.I/gql1oOMeksN/D&^0Ulw^'?Q
X-Hue: blue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 19 Jun 2013 18:53:58 -0400
In-Reply-To: <17E84D662FD8204FB8C0E82A88F931755F8EB607@HIDDEN>
 (David Elrod's message of "Wed, 19 Jun 2013 22:39:17 +0000")
Message-ID: <8pppvhpv95.fsf_-_@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 14250
Cc: 14250 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

"Elrod, David" wrote:

> My fault for not doing "reply all"...
>
> Typing:
>     ^Mx(file-locked-p

You said:

>  When I do:  M-:
>  the mini-buffer responds with "Eval: "
>
>  I then entered:
>     (file-locked-p(overview.html))

So oviously you know about M-:. Use:

  M-: (file-locked-p (buffer-file-name)) RET

(Though I have no idea what this is supposed to tell us.)


Also, what does:

M-: (system-name) RET

return?


>  Each time I try to save It shows:
>    /tmp/FOO locked by elrodd <at> elrodd... (pid 21418): (s, q, p, ?)? 
>  or similar in the status bar.

At this point, what do the following show:

ls -ld /tmp/.*
ps -p 21418    # replace with number from above
ps -u elrodd | grep emacs



But again, simply compiling your own Emacs 24.3 may be easier.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.

Message received at 14250 <at> debbugs.gnu.org:


Received: (at 14250) by debbugs.gnu.org; 19 Jun 2013 22:49:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 19 18:49:45 2013
Received: from localhost ([127.0.0.1]:56676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UpRCC-00031z-GB
	for submit <at> debbugs.gnu.org; Wed, 19 Jun 2013 18:49:45 -0400
Received: from mail4.sharplabs.com ([216.65.151.214]:40955)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <elrodd@HIDDEN>) id 1UpRC9-00031e-JD
 for 14250 <at> debbugs.gnu.org; Wed, 19 Jun 2013 18:49:42 -0400
X-ASG-Debug-ID: 1371682171-020808098d4ef860001-iujQmh
Received: from WABCASP2.sharpamericas.com (wabcasp2.sharplabs.com
 [172.29.224.3]) by mail4.sharplabs.com with ESMTP id NhbcWbMVYwERCBTQ;
 Wed, 19 Jun 2013 15:49:31 -0700 (PDT)
X-Barracuda-Envelope-From: elrodd@HIDDEN
Received: from WABEXCHP1.sharpamericas.com ([fe80::f930:84ca:49e6:2cbd]) by
 WABCASP2.sharpamericas.com ([172.29.224.3]) with mapi id 14.03.0123.003; Wed,
 19 Jun 2013 15:49:31 -0700
From: "Elrod, David" <elrodd@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: RE: bug#14250: 23.1; Files locked by myself
Thread-Topic: bug#14250: 23.1; Files locked by myself
X-ASG-Orig-Subj: RE: bug#14250: 23.1; Files locked by myself
Thread-Index: AQHObT1/nxcgRq2jQ0G2Mhmo7M706Jk9o4ao
Date: Wed, 19 Jun 2013 22:49:31 +0000
Message-ID: <17E84D662FD8204FB8C0E82A88F931755F8EB614@HIDDEN>
References: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
 <m261zdm1xo.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F93175376D5A80@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB391@HIDDEN>
 <wusj0d7n0z.fsf@HIDDEN>,<rppvheni1.fsf_-_@HIDDEN>
In-Reply-To: <rppvheni1.fsf_-_@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [172.29.227.6]
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Barracuda-Connect: wabcasp2.sharplabs.com[172.29.224.3]
X-Barracuda-Start-Time: 1371682171
X-Barracuda-URL: http://mail4.enet.sharplabs.com:8000/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at sharplabs.com
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.02
X-Barracuda-Spam-Status: No,
 SCORE=0.02 using per-user scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=9.0 tests=THREAD_INDEX, THREAD_TOPIC
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.2.134399
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.01 THREAD_INDEX           thread-index: AcO7Y8iR61tzADqsRmmc5wNiFHEOig==
 0.01 THREAD_TOPIC           Thread-Topic: ...(Japanese Subject)...
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 14250
Cc: "14250 <at> debbugs.gnu.org" <14250 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

23.1 is the latest that comes with Centos... =0A=
Building emacs is non-trivial - I'm missing all kinds of libraries...=0A=
=0A=
However, if I'm running an old version, and especially if I'm the only pers=
on=0A=
having this problem, then by all means close the bug.=0A=
=0A=
I'm considering moving off of Centos for development work anyway.=0A=
I don't have this problem with Emacs on other Linuxes.=0A=
=0A=
Thanks!=0A=
David=0A=
=0A=
________________________________________=0A=
From: Glenn Morris [rgm@HIDDEN]=0A=
Sent: Wednesday, June 19, 2013 15:36=0A=
To: Elrod, David=0A=
Cc: 14250 <at> debbugs.gnu.org=0A=
Subject: Re: bug#14250: 23.1; Files locked by myself=0A=
=0A=
Frankly, I suggest compiling your own Emacs 24.3 from source.=0A=
If that works fine then we don't need to spend any more time on this.=0A=
23.1 is quite old.=0A=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.

Message received at 14250 <at> debbugs.gnu.org:


Received: (at 14250) by debbugs.gnu.org; 19 Jun 2013 22:39:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 19 18:39:42 2013
Received: from localhost ([127.0.0.1]:56631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UpR2T-0001lN-O9
	for submit <at> debbugs.gnu.org; Wed, 19 Jun 2013 18:39:42 -0400
Received: from mail4.sharplabs.com ([216.65.151.214]:40859)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <elrodd@HIDDEN>) id 1UpR2Q-0001l1-8l
 for 14250 <at> debbugs.gnu.org; Wed, 19 Jun 2013 18:39:39 -0400
X-ASG-Debug-ID: 1371681564-02080809904ef6a0001-iujQmh
Received: from WABCASP1.sharpamericas.com ([172.29.224.253]) by
 mail4.sharplabs.com with ESMTP id x9WiJjxNPuBIKuhH;
 Wed, 19 Jun 2013 15:39:24 -0700 (PDT)
X-Barracuda-Envelope-From: elrodd@HIDDEN
Received: from WABEXCHP1.sharpamericas.com ([fe80::f930:84ca:49e6:2cbd]) by
 Wabcasp1 ([172.29.224.2]) with mapi id 14.03.0123.003; Wed, 19 Jun 2013
 15:39:18 -0700
From: "Elrod, David" <elrodd@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: RE: FW: bug#14250: 23.1; Files locked by myself
Thread-Topic: FW: bug#14250: 23.1; Files locked by myself
X-ASG-Orig-Subj: RE: FW: bug#14250: 23.1; Files locked by myself
Thread-Index: AQHObTxvicofv0j47UmxQnkZgSmrxJk9nxtu
Date: Wed, 19 Jun 2013 22:39:17 +0000
Message-ID: <17E84D662FD8204FB8C0E82A88F931755F8EB607@HIDDEN>
References: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
 <m261zdm1xo.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F93175376D5A80@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB391@HIDDEN>,
 <wusj0d7n0z.fsf@HIDDEN>
In-Reply-To: <wusj0d7n0z.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [172.29.227.6]
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Barracuda-Connect: UNKNOWN[172.29.224.253]
X-Barracuda-Start-Time: 1371681564
X-Barracuda-URL: http://mail4.enet.sharplabs.com:8000/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at sharplabs.com
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.02
X-Barracuda-Spam-Status: No,
 SCORE=0.02 using per-user scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=9.0 tests=THREAD_INDEX, THREAD_TOPIC
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.2.134399
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.01 THREAD_INDEX           thread-index: AcO7Y8iR61tzADqsRmmc5wNiFHEOig==
 0.01 THREAD_TOPIC           Thread-Topic: ...(Japanese Subject)...
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 14250
Cc: "schwab@HIDDEN" <schwab@HIDDEN>,
 "14250 <at> debbugs.gnu.org" <14250 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

My fault for not doing "reply all"...=0A=
=0A=
Typing:=0A=
    ^Mx(file-locked-p=0A=
when I type the space (' ') after the p, Emacs immediately inserts:=0A=
  [No match]=0A=
so I see:=0A=
  (file-locked-p [No match]=0A=
=0A=
Leaving out the space and typing:=0A=
  (file-locked-p(buffer-file-name))=0A=
is OK, until I press the Enter key and then Emacs appends:=0A=
  (file-locked-p(buffer-file-name)) [No match]=0A=
=0A=
If I put:=0A=
  (file-locked-p (buffer-file-name))=0A=
by itself in a file, save it, then do=0A=
 ^Mxeval-current-buffer=0A=
=0A=
not seems to happen.=0A=
=0A=
David=0A=
=0A=
  =0A=
________________________________________=0A=
From: Glenn Morris [rgm@HIDDEN]=0A=
Sent: Wednesday, June 19, 2013 15:29=0A=
To: Elrod, David=0A=
Cc: 14250 <at> debbugs.gnu.org; schwab@HIDDEN=0A=
Subject: Re: FW: bug#14250: 23.1; Files locked by myself=0A=
=0A=
"Elrod, David" wrote:=0A=
=0A=
> Sorry to see this closed with no resolution....=0A=
=0A=
From experience, it's a great way to get people to reply.=0A=
Reopened.=0A=
=0A=
> I responded to email from Andreas (see copy below) three hours after=0A=
> it arrived at our mail server.=0A=
=0A=
Please use reply-to-all on bug reports.=0A=
=0A=
> I then entered:=0A=
>     (file-locked-p(overview.html))=0A=
> which was the name of the file I was editing, the name of the buffer=0A=
> from the status bar, and the name I see when I list buffers, I get:=0A=
>=0A=
> Debugger entered--Lisp error: (void-function overview\.html)=0A=
=0A=
He said to do:=0A=
=0A=
(file-locked-p (buffer-file-name))=0A=
=0A=
Literally type that.=0A=
=0A=
=0A=
Nothing about this makes any sense so far I am afraid.=0A=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.

Message received at 14250 <at> debbugs.gnu.org:


Received: (at 14250) by debbugs.gnu.org; 19 Jun 2013 22:36:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 19 18:36:58 2013
Received: from localhost ([127.0.0.1]:56618 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UpQzq-0001cI-8b
	for submit <at> debbugs.gnu.org; Wed, 19 Jun 2013 18:36:58 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:34312 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1UpQzo-0001c7-0t
 for 14250 <at> debbugs.gnu.org; Wed, 19 Jun 2013 18:36:56 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1UpQzn-0001io-4J; Wed, 19 Jun 2013 18:36:55 -0400
From: Glenn Morris <rgm@HIDDEN>
To: "Elrod\, David" <elrodd@HIDDEN>
Subject: Re: bug#14250: 23.1; Files locked by myself
References: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
 <m261zdm1xo.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F93175376D5A80@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB391@HIDDEN>
 <wusj0d7n0z.fsf@HIDDEN>
X-Spook: satellite imagery Bletchley Park Downing Street Jiang
X-Ran: Y/p]J\n0iE5-:(nhK!S$$>U[P"(_BgdYHM8y2/e(j{76DiM:|r9P&2J#B*[4<*B`,TAmd3
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 19 Jun 2013 18:36:54 -0400
In-Reply-To: <wusj0d7n0z.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 19 Jun 2013 18:29:00 -0400")
Message-ID: <rppvheni1.fsf_-_@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 14250
Cc: 14250 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)


Frankly, I suggest compiling your own Emacs 24.3 from source.
If that works fine then we don't need to spend any more time on this.
23.1 is quite old.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 14250 <at> debbugs.gnu.org:


Received: (at 14250) by debbugs.gnu.org; 19 Jun 2013 22:29:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 19 18:29:05 2013
Received: from localhost ([127.0.0.1]:56598 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UpQsC-0001Kz-SA
	for submit <at> debbugs.gnu.org; Wed, 19 Jun 2013 18:29:05 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:34225 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1UpQsB-0001Ks-Rc
 for 14250 <at> debbugs.gnu.org; Wed, 19 Jun 2013 18:29:04 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1UpQs9-0007zC-5B; Wed, 19 Jun 2013 18:29:01 -0400
From: Glenn Morris <rgm@HIDDEN>
To: "Elrod\, David" <elrodd@HIDDEN>
Subject: Re: FW: bug#14250: 23.1; Files locked by myself
References: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
 <m261zdm1xo.fsf@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F93175376D5A80@HIDDEN>
 <17E84D662FD8204FB8C0E82A88F931755F8EB391@HIDDEN>
X-Spook: fundamentalist morse Firewalls Bush Wired Crypto AG
X-Ran: M5+j5$U5N%[EW5SsyESd~lxWD1}Q"uUVsU+1$_~FrD.H[c)a6DRKSTBvQ(0ll{jquBk~xq
X-Hue: blue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 19 Jun 2013 18:29:00 -0400
In-Reply-To: <17E84D662FD8204FB8C0E82A88F931755F8EB391@HIDDEN>
 (David Elrod's message of "Wed, 19 Jun 2013 21:57:32 +0000")
Message-ID: <wusj0d7n0z.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 14250
Cc: "schwab@HIDDEN" <schwab@HIDDEN>,
 "14250 <at> debbugs.gnu.org" <14250 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)


"Elrod, David" wrote:

> Sorry to see this closed with no resolution....

From experience, it's a great way to get people to reply.
Reopened.

> I responded to email from Andreas (see copy below) three hours after 
> it arrived at our mail server.

Please use reply-to-all on bug reports.

> I then entered:
>     (file-locked-p(overview.html))
> which was the name of the file I was editing, the name of the buffer
> from the status bar, and the name I see when I list buffers, I get:
>
> Debugger entered--Lisp error: (void-function overview\.html)

He said to do:

(file-locked-p (buffer-file-name))

Literally type that.


Nothing about this makes any sense so far I am afraid.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.

Message received at 14250 <at> debbugs.gnu.org:


Received: (at 14250) by debbugs.gnu.org; 19 Jun 2013 21:57:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 19 17:57:50 2013
Received: from localhost ([127.0.0.1]:56537 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UpQNx-0000Jx-Al
	for submit <at> debbugs.gnu.org; Wed, 19 Jun 2013 17:57:50 -0400
Received: from mail4.sharplabs.com ([216.65.151.214]:40308)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <elrodd@HIDDEN>) id 1UpQNs-0000Jb-Lx
 for 14250 <at> debbugs.gnu.org; Wed, 19 Jun 2013 17:57:46 -0400
X-ASG-Debug-ID: 1371679054-02080809904eebe0001-iujQmh
Received: from WABCASP2.sharpamericas.com (wabcasp2.sharplabs.com
 [172.29.224.3]) by mail4.sharplabs.com with ESMTP id Np1erWHan81yf7L7;
 Wed, 19 Jun 2013 14:57:34 -0700 (PDT)
X-Barracuda-Envelope-From: elrodd@HIDDEN
Received: from WABEXCHP1.sharpamericas.com ([fe80::f930:84ca:49e6:2cbd]) by
 WABCASP2.sharpamericas.com ([172.29.224.3]) with mapi id 14.03.0123.003; Wed,
 19 Jun 2013 14:57:33 -0700
From: "Elrod, David" <elrodd@HIDDEN>
To: "14250 <at> debbugs.gnu.org" <14250 <at> debbugs.gnu.org>
Subject: FW: bug#14250: 23.1; Files locked by myself
Thread-Topic: bug#14250: 23.1; Files locked by myself
X-ASG-Orig-Subj: FW: bug#14250: 23.1; Files locked by myself
Thread-Index: Ac5AXIABnxcgRq2jQ0G2Mhmo7M706AAA+geUAAW+6GILL6k5YQ==
Date: Wed, 19 Jun 2013 21:57:32 +0000
Message-ID: <17E84D662FD8204FB8C0E82A88F931755F8EB391@HIDDEN>
References: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>,
 <m261zdm1xo.fsf@HIDDEN>,
 <17E84D662FD8204FB8C0E82A88F93175376D5A80@HIDDEN>
In-Reply-To: <17E84D662FD8204FB8C0E82A88F93175376D5A80@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
x-originating-ip: [172.29.227.6]
Content-Type: multipart/mixed;
 boundary="_002_17E84D662FD8204FB8C0E82A88F931755F8EB391wabexchp1sharpa_"
MIME-Version: 1.0
X-Barracuda-Connect: wabcasp2.sharplabs.com[172.29.224.3]
X-Barracuda-Start-Time: 1371679054
X-Barracuda-URL: http://mail4.enet.sharplabs.com:8000/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at sharplabs.com
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.02
X-Barracuda-Spam-Status: No,
 SCORE=0.02 using per-user scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=9.0 tests=BSF_SC0_MISMATCH_TO, THREAD_INDEX,
 THREAD_TOPIC
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.2.134395
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.01 THREAD_INDEX           thread-index: AcO7Y8iR61tzADqsRmmc5wNiFHEOig==
 0.01 THREAD_TOPIC           Thread-Topic: ...(Japanese Subject)...
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 14250
Cc: "rgm@HIDDEN" <rgm@HIDDEN>,
 "schwab@HIDDEN" <schwab@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

--_002_17E84D662FD8204FB8C0E82A88F931755F8EB391wabexchp1sharpa_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

Sorry to see this closed with no resolution....=0A=
=0A=
I responded to email from Andreas (see copy below) three hours after =0A=
it arrived at our mail server.=0A=
=0A=
I never saw the followup email from Glen.=0A=
=0A=
To answer Glen's questions, I'm using ext3 as a file system.=0A=
It works wherever I've tried to create a file.=0A=
=0A=
I get the same error if I do:=0A=
=0A=
    rm -f /tmp/FOO=0A=
    touch /tmp/FOO=0A=
    emacs -Q /tmp/FOO=0A=
=0A=
Each time I try to save It shows:=0A=
    /tmp/FOO locked by elrodd@HIDDEN (pid 21418): (s, q, p, ?)? =0A=
or similar in the status bar.=0A=
=0A=
Both before and after editing the file, "ls -l /tmp/FOO" shows:=0A=
  -rw-rw-r--. 1 elrodd elrodd 5 Jun 19 14:55 /tmp/FOO=0A=
=0A=
I noted that emacs was protected:=0A=
  -rwxr-xr-t. 1 0 0 11143104 Mar  1  2012 /usr/bin/emacs-23.1=0A=
If I remove the sticky bit (t), it behaves the same.=0A=
=0A=
=0A=
________________________________________=0A=
From: Elrod, David=0A=
Sent: Tuesday, April 23, 2013 16:22=0A=
To: Andreas Schwab=0A=
Subject: RE: bug#14250: 23.1; Files locked by myself=0A=
=0A=
Thanks for the quick reply:=0A=
=0A=
When I do:  M-:=0A=
the mini-buffer responds with "Eval: "=0A=
=0A=
I then entered:=0A=
    (file-locked-p(overview.html))=0A=
which was the name of the file I was editing, the name of the buffer=0A=
from the status bar, and the name I see when I list buffers, I get:=0A=
=0A=
Debugger entered--Lisp error: (void-function overview\.html)=0A=
  (overview\.html)=0A=
  (file-locked-p (overview\.html))=0A=
  eval((file-locked-p (overview\.html)))=0A=
  eval-expression((file-locked-p (overview\.html)) nil)=0A=
  call-interactively(eval-expression nil nil)=0A=
=0A=
The status bar starts out with -U:**-  which seems to indicate I changed=0A=
the buffer, and when I do a save I am told the file is locked.=0A=
=0A=
Trying:=0A=
    (file-locked-p("overview.html))=0A=
returns:=0A=
=0A=
Debugger entered--Lisp error: (invalid-function "overview.html")=0A=
  ("overview.html")=0A=
  (file-locked-p ("overview.html"))=0A=
  eval((file-locked-p ("overview.html")))=0A=
  eval-expression((file-locked-p ("overview.html")) nil)=0A=
  call-interactively(eval-expression nil nil)=0A=
=0A=
Note also that when I save the file I get prompted that it is locked.=0A=
The next time I try to change the file I'm also prompted that it is=0A=
locked and have to steal or proceed to be able to edit the file again.=0A=
=0A=
Thinking it might be related to nXML mode, I tried a text file (Text Fill m=
ode)=0A=
and got more added to the debug stack which is attached (because it has=0A=
binary byte code values).=0A=
=0A=
Thank you for your help!=0A=
=0A=
David=0A=
=0A=
=0A=
=0A=
=0A=
________________________________________=0A=
From: Andreas Schwab [schwab@HIDDEN]=0A=
Sent: Tuesday, April 23, 2013 13:23=0A=
To: Elrod, David=0A=
Cc: 14250 <at> debbugs.gnu.org=0A=
Subject: Re: bug#14250: 23.1; Files locked by myself=0A=
=0A=
What does (file-locked-p (buffer-file-name)) return when you are inside=0A=
a modified buffer visiting a file?=0A=
=0A=
Andreas.=0A=
=0A=
--=0A=
Andreas Schwab, schwab@HIDDEN=0A=
GPG Key fingerprint =3D 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5=
=0A=
"And now for something completely different."=0A=

--_002_17E84D662FD8204FB8C0E82A88F931755F8EB391wabexchp1sharpa_
Content-Type: application/octet-stream; name="t"
Content-Description: t
Content-Disposition: attachment; filename="t"; size=44120;
	creation-date="Tue, 23 Apr 2013 23:21:37 GMT";
	modification-date="Tue, 23 Apr 2013 23:21:37 GMT"
Content-Transfer-Encoding: base64
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--_002_17E84D662FD8204FB8C0E82A88F931755F8EB391wabexchp1sharpa_--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.
bug closed, send any further explanations to 14250 <at> debbugs.gnu.org and "Elrod, David" <elrodd@HIDDEN> Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 14250 <at> debbugs.gnu.org:


Received: (at 14250) by debbugs.gnu.org; 30 Apr 2013 19:17:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 15:17:29 2013
Received: from localhost ([127.0.0.1]:52686 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UXG3J-0003zo-ST
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2013 15:17:27 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:43426)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1UXG3H-0003zd-NF
	for 14250 <at> debbugs.gnu.org; Tue, 30 Apr 2013 15:17:24 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1UXG2r-0006cm-KN; Tue, 30 Apr 2013 15:16:57 -0400
From: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#14250: 23.1; Files locked by myself
References: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
	<m261zdm1xo.fsf@HIDDEN>
to: "Elrod, David" <elrodd@HIDDEN>,  14250 <at> debbugs.gnu.org
X-Spook: csim JFK colonel Firefly Exon Shell Reno bomb INSCOM
X-Ran: Mm4WVeJ`w|<=ueG6XXf<?%OCc]|AZ<DvUi`Y(hD~M(W?P5.p]~`>8?3c{-5f(Y*x'%RNIG
X-Hue: blue
X-Attribution: GM
Date: Tue, 30 Apr 2013 15:16:57 -0400
In-Reply-To: <m261zdm1xo.fsf@HIDDEN> (Andreas Schwab's message of "Tue, 23
	Apr 2013 22:23:15 +0200")
Message-ID: <wvc73rfpy.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.5 (-----)
X-Debbugs-Envelope-To: 14250
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -8.2 (--------)

Andreas Schwab wrote:

> What does (file-locked-p (buffer-file-name)) return when you are inside
> a modified buffer visiting a file?

We can't help you unless you provide more information.


Some other questions:

Does this issue happen with _every_ file, or just some?
Eg does it happen with:

rm -f /tmp/FOO
touch /tmp/FOO
emacs -Q /tmp/FOO

?


> ...v001/pageNetConfig.xml locked by elrodd <at> elrodd... (pid 32296):

What kind of file system does this file live on? What does

df /path/to/pageNetConfig.xml

print?

Before you start Emacs, what does

ls -l /path/to/directory/pageNetConfig.xml
ls -ld /path/to/directory/.*

print for the directory containing pageNetConfig.xml?

What does it print after you open the file in Emacs and make a change,
before you save?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.

Message received at 14250 <at> debbugs.gnu.org:


Received: (at 14250) by debbugs.gnu.org; 23 Apr 2013 20:28:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 23 16:28:23 2013
Received: from localhost ([127.0.0.1]:39618 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UUjp7-00064l-RT
	for submit <at> debbugs.gnu.org; Tue, 23 Apr 2013 16:28:23 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:34327)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <whitebox@HIDDEN>) id 1UUjp4-00064X-DR
	for 14250 <at> debbugs.gnu.org; Tue, 23 Apr 2013 16:28:19 -0400
Received: from frontend1.mail.m-online.net (unknown [192.168.8.180])
	by mail-out.m-online.net (Postfix) with ESMTP id 3ZwGLs3kFRz4KK67;
	Tue, 23 Apr 2013 22:23:17 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.68])
	by mail.m-online.net (Postfix) with ESMTP id 3ZwGLs2rKpzbbk0;
	Tue, 23 Apr 2013 22:23:17 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.180])
	by localhost (dynscan1.mail.m-online.net [192.168.6.68]) (amavisd-new,
	port 10024)
	with ESMTP id 7AsjVnWUN0t2; Tue, 23 Apr 2013 22:23:16 +0200 (CEST)
X-Auth-Info: 1pVSaCpUL8SZm/QAN7SSU/rIHGs57tt1fb3LJU0V35c=
Received: from igel.home (ppp-93-104-132-86.dynamic.mnet-online.de
	[93.104.132.86]) by mail.mnet-online.de (Postfix) with ESMTPA;
	Tue, 23 Apr 2013 22:23:16 +0200 (CEST)
Received: by igel.home (Postfix, from userid 501)
	id C261BCA2B6; Tue, 23 Apr 2013 22:23:15 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: "Elrod\, David" <elrodd@HIDDEN>
Subject: Re: bug#14250: 23.1; Files locked by myself
References: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
X-Yow: Well, I'm on the right planet---everyone looks like me!!!
Date: Tue, 23 Apr 2013 22:23:15 +0200
In-Reply-To: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
	(David Elrod's message of "Tue, 23 Apr 2013 19:55:26 +0000")
Message-ID: <m261zdm1xo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 14250
Cc: 14250 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

What does (file-locked-p (buffer-file-name)) return when you are inside
a modified buffer visiting a file?

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Apr 2013 20:06:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 23 16:06:14 2013
Received: from localhost ([127.0.0.1]:39591 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UUjTh-0005KP-DV
	for submit <at> debbugs.gnu.org; Tue, 23 Apr 2013 16:06:14 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52885)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <elrodd@HIDDEN>) id 1UUjOU-0005AP-RU
	for submit <at> debbugs.gnu.org; Tue, 23 Apr 2013 16:00:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <elrodd@HIDDEN>) id 1UUjJc-0002rP-SW
	for submit <at> debbugs.gnu.org; Tue, 23 Apr 2013 15:55:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
	RP_MATCHES_RCVD autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:57559)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <elrodd@HIDDEN>) id 1UUjJc-0002rH-PA
	for submit <at> debbugs.gnu.org; Tue, 23 Apr 2013 15:55:48 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35965)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <elrodd@HIDDEN>) id 1UUjJY-0004Qr-3g
	for bug-gnu-emacs@HIDDEN; Tue, 23 Apr 2013 15:55:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <elrodd@HIDDEN>) id 1UUjJU-0002pw-0y
	for bug-gnu-emacs@HIDDEN; Tue, 23 Apr 2013 15:55:43 -0400
Received: from mail4.sharplabs.com ([216.65.151.214]:32915)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <elrodd@HIDDEN>) id 1UUjJT-0002pc-Jo
	for bug-gnu-emacs@HIDDEN; Tue, 23 Apr 2013 15:55:39 -0400
X-ASG-Debug-ID: 1366746928-02080809013b2340001-HqB3X1
Received: from WABCASP1.sharpamericas.com ([172.29.224.253]) by
	mail4.sharplabs.com with ESMTP id RB7S27I8DBFm5RPE for
	<bug-gnu-emacs@HIDDEN>; Tue, 23 Apr 2013 12:55:28 -0700 (PDT)
X-Barracuda-Envelope-From: elrodd@HIDDEN
Received: from WABEXCHP1.sharpamericas.com ([fe80::f930:84ca:49e6:2cbd]) by
	Wabcasp1 ([172.29.224.2]) with mapi id 14.02.0318.004; Tue, 23 Apr 2013
	12:55:29 -0700
From: "Elrod, David" <elrodd@HIDDEN>
X-Barracuda-Apparent-Source-IP: fe80::f930:84ca:49e6:2cbd
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 23.1; Files locked by myself
Thread-Topic: 23.1; Files locked by myself
X-ASG-Orig-Subj: 23.1; Files locked by myself
Thread-Index: Ac5AXIABnxcgRq2jQ0G2Mhmo7M706A==
Date: Tue, 23 Apr 2013 19:55:26 +0000
Message-ID: <17E84D662FD8204FB8C0E82A88F93175376D5A39@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [172.29.227.6]
Content-Type: multipart/alternative;
	boundary="_000_17E84D662FD8204FB8C0E82A88F93175376D5A39wabexchp1sharpa_"
MIME-Version: 1.0
X-Barracuda-Connect: UNKNOWN[172.29.224.253]
X-Barracuda-Start-Time: 1366746928
X-Barracuda-URL: http://mail4.enet.sharplabs.com:8000/cgi-mod/mark.cgi
Received-SPF: none (sharplabs.com: elrodd@HIDDEN does not designate
	permitted sender hosts)
X-Virus-Scanned: by bsmtpd at sharplabs.com
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.02
X-Barracuda-Spam-Status: No,
	SCORE=0.02 using per-user scores of TAG_LEVEL=1000.0
	QUARANTINE_LEVEL=1000.0 KILL_LEVEL=9.0 tests=HTML_MESSAGE,
	THREAD_INDEX, THREAD_TOPIC
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.2.128960
	Rule breakdown below
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.01 THREAD_INDEX thread-index: AcO7Y8iR61tzADqsRmmc5wNiFHEOig==
	0.01 THREAD_TOPIC           Thread-Topic: ...(Japanese Subject)...
	0.00 HTML_MESSAGE           BODY: HTML included in message
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 23 Apr 2013 16:06:12 -0400
Cc: "Elrod, David" <elrodd@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

--_000_17E84D662FD8204FB8C0E82A88F93175376D5A39wabexchp1sharpa_
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

--text follows this line--

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the bug-gnu-emacs@HIDDEN mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Whenever I open a file make a change and then attempt to save
the file I am told that the file is opened by myself.
Whether I choose to Steal the file or Proceed, EVERY time
I do a save (which I do every second or two when I'm writing
code) I get the same prompt that tells me the file is locked
by another user - myself.

This seems to happen no matter what file I open. For example,
when I went to save this email I got the message:
...e/elrodd/emacs_bug.txt locked by elrodd@HIDDEN (pid 32296) (s, q,
p, ?)?

My home directory is "/home/elrodd".
My loggin is "elrodd".
My computer is "elroddDesk"

I only have one instance of emacs running.

I am running on CentOS 6.4(final).
I see the emacs version information below.

As you can see in the recent messages section below, I have to
repeat the response for every save.

I don't know what else to check, but this sure is aggravating!

David Elrod


If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.


In GNU Emacs 23.1.1 (x86_64-redhat-linux-gnu, GTK+ Version 2.18.9)
 of 2012-03-01 on c6b18n3.bsys.dev.centos.org
Windowing system distributor `CentOS', version 11.0.11300000
configured using `configure  '--build=3Dx86_64-redhat-linux-gnu' '--host=3D=
x86_64-redhat-linux-gnu' '--target=3Dx86_64-redhat-linux-gnu' '--program-pr=
efix=3D' '--prefix=3D/usr' '--exec-prefix=3D/usr' '--bindir=3D/usr/bin' '--=
sbindir=3D/usr/sbin' '--sysconfdir=3D/etc' '--datadir=3D/usr/share' '--incl=
udedir=3D/usr/include' '--libdir=3D/usr/lib64' '--libexecdir=3D/usr/libexec=
' '--localstatedir=3D/var' '--sharedstatedir=3D/var/lib' '--mandir=3D/usr/s=
hare/man' '--infodir=3D/usr/share/info' '--with-dbus' '--with-gif' '--with-=
jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '-=
-with-x-toolkit=3Dgtk' 'build_alias=3Dx86_64-redhat-linux-gnu' 'host_alias=
=3Dx86_64-redhat-linux-gnu' 'target_alias=3Dx86_64-redhat-linux-gnu' 'CFLAG=
S=3D-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=3D2 -fexcepti=
ons -fstack-protector --param=3Dssp-buffer-size=3D4 -m64 -mtune=3Dgeneric''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=3Dnone
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: nXML

Minor modes in effect:
  show-paren-mode: t
  global-auto-complete-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-h C-h C-h C-h C-h C-h C-h o p <backspace> <backspace>
w e b <tab> <tab> p a g e N <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> / P
a g e N <tab> <tab> o v <tab> <return> C-s w e a t
h e r C-s C-s C-s C-s C-s C-s C-s C-s C-a C-p <return>
s < ! - - C-n C-n C-n C-n C-n C-n C-n C-e <return>
- - > C-x C-s s C-x b <return> C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-a C-l C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-x b <return>
ESC < C-s s i t e _ g r a p h C-s C-x b <return> C-x
b <return> ESC < C-s w e a t h e r U s a g e C-p C-s
w e a t h e r D e t a i l s L i n k C-s C-s C-s C-s
C-p C-a C-SPC C-n C-n C-n C-w s C-s C-s C-a C-k C-k
C-s C-s C-p C-p C-p C-p C-a C-SPC C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-w C-s C-g C-x C-s s C-x b <return>
C-x C-x C-g C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-SPC C-n C-n
C-w ? p C-x C-s p C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-SPC C-n C-n C-n C-w s C-x
C-s s SPC s ESC x r e p o r t - e m a c s - b u g
<return>

Recent messages:
...v001/pageNetConfig.xml locked by elrodd@HIDDEN (pid 32296): (s, q, p,=
 ?)?  [2 times]
Saving file /home/elrodd/src/.../pageNetConfig.xml...
...v001/pageNetConfig.xml locked by elrodd@HIDDEN (pid 32296): (s, q, p,=
 ?)?
Wrote /home/elrodd/src/.../pageNetConfig.xml
Mark set
...v001/pageNetConfig.xml locked by elrodd@HIDDEN (pid 32296): (s, q, p,=
 ?)?
Saving file /home/elrodd/src/.../pageNetConfig.xml...
...v001/pageNetConfig.xml locked by elrodd@HIDDEN (pid 32296): (s, q, p,=
 ?)?
Wrote /home/elrodd/src/.../pageNetConfig.xml
...v001/pageNetConfig.xml locked by elrodd@HIDDEN (pid 32296): (s, q, p,=
 ?)?


--_000_17E84D662FD8204FB8C0E82A88F93175376D5A39wabexchp1sharpa_
Content-Type: text/html; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<html dir=3D"ltr">
<head>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Diso-8859-=
1">
<style id=3D"owaParaStyle" type=3D"text/css">P {margin-top:0;margin-bottom:=
0;}</style>
</head>
<body ocsi=3D"0" fpstyle=3D"1">
<div style=3D"direction: ltr;font-family: Tahoma;color: #000000;font-size: =
10pt;">--text follows this line--<br>
<br>
Please write in English if possible, because the Emacs maintainers<br>
usually do not have translators to read other languages for them.<br>
<br>
Your bug report will be posted to the bug-gnu-emacs@HIDDEN mailing list,<b=
r>
and to the gnu.emacs.bug news group.<br>
<br>
Please describe exactly what actions triggered the bug<br>
and the precise symptoms of the bug:<br>
<br>
Whenever I open a file make a change and then attempt to save<br>
the file I am told that the file is opened by myself.<br>
Whether I choose to Steal the file or Proceed, EVERY time<br>
I do a save (which I do every second or two when I'm writing<br>
code) I get the same prompt that tells me the file is locked<br>
by another user - myself.<br>
<br>
This seems to happen no matter what file I open. For example,<br>
when I went to save this email I got the message:<br>
...e/elrodd/emacs_bug.txt locked by elrodd@HIDDEN (pid 32296) (s, q,<br>
p, ?)? <br>
<br>
My home directory is &quot;/home/elrodd&quot;.<br>
My loggin is &quot;elrodd&quot;.<br>
My computer is &quot;elroddDesk&quot;<br>
<br>
I only have one instance of emacs running.<br>
<br>
I am running on CentOS 6.4(final).<br>
I see the emacs version information below.<br>
<br>
As you can see in the recent messages section below, I have to<br>
repeat the response for every save.<br>
<br>
I don't know what else to check, but this sure is aggravating!<br>
<br>
David Elrod<br>
<br>
<br>
If Emacs crashed, and you have the Emacs process in the gdb debugger,<br>
please include the output from the following gdb commands:<br>
&nbsp;&nbsp;&nbsp; `bt full' and `xbacktrace'.<br>
If you would like to further debug the crash, please read the file<br>
/usr/share/emacs/23.1/etc/DEBUG for instructions.<br>
<br>
<br>
In GNU Emacs 23.1.1 (x86_64-redhat-linux-gnu, GTK&#43; Version 2.18.9)<br>
&nbsp;of 2012-03-01 on c6b18n3.bsys.dev.centos.org<br>
Windowing system distributor `CentOS', version 11.0.11300000<br>
configured using `configure&nbsp; '--build=3Dx86_64-redhat-linux-gnu' '--ho=
st=3Dx86_64-redhat-linux-gnu' '--target=3Dx86_64-redhat-linux-gnu' '--progr=
am-prefix=3D' '--prefix=3D/usr' '--exec-prefix=3D/usr' '--bindir=3D/usr/bin=
' '--sbindir=3D/usr/sbin' '--sysconfdir=3D/etc' '--datadir=3D/usr/share'
 '--includedir=3D/usr/include' '--libdir=3D/usr/lib64' '--libexecdir=3D/usr=
/libexec' '--localstatedir=3D/var' '--sharedstatedir=3D/var/lib' '--mandir=
=3D/usr/share/man' '--infodir=3D/usr/share/info' '--with-dbus' '--with-gif'=
 '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff'
 '--with-xft' '--with-xpm' '--with-x-toolkit=3Dgtk' 'build_alias=3Dx86_64-r=
edhat-linux-gnu' 'host_alias=3Dx86_64-redhat-linux-gnu' 'target_alias=3Dx86=
_64-redhat-linux-gnu' 'CFLAGS=3D-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_=
FORTIFY_SOURCE=3D2 -fexceptions -fstack-protector
 --param=3Dssp-buffer-size=3D4 -m64 -mtune=3Dgeneric''<br>
<br>
Important settings:<br>
&nbsp; value of $LC_ALL: nil<br>
&nbsp; value of $LC_COLLATE: nil<br>
&nbsp; value of $LC_CTYPE: nil<br>
&nbsp; value of $LC_MESSAGES: nil<br>
&nbsp; value of $LC_MONETARY: nil<br>
&nbsp; value of $LC_NUMERIC: nil<br>
&nbsp; value of $LC_TIME: nil<br>
&nbsp; value of $LANG: en_US.utf8<br>
&nbsp; value of $XMODIFIERS: @im=3Dnone<br>
&nbsp; locale-coding-system: utf-8-unix<br>
&nbsp; default-enable-multibyte-characters: t<br>
<br>
Major mode: nXML<br>
<br>
Minor modes in effect:<br>
&nbsp; show-paren-mode: t<br>
&nbsp; global-auto-complete-mode: t<br>
&nbsp; tooltip-mode: t<br>
&nbsp; mouse-wheel-mode: t<br>
&nbsp; menu-bar-mode: t<br>
&nbsp; file-name-shadow-mode: t<br>
&nbsp; global-font-lock-mode: t<br>
&nbsp; font-lock-mode: t<br>
&nbsp; blink-cursor-mode: t<br>
&nbsp; global-auto-composition-mode: t<br>
&nbsp; auto-composition-mode: t<br>
&nbsp; auto-encryption-mode: t<br>
&nbsp; auto-compression-mode: t<br>
&nbsp; line-number-mode: t<br>
&nbsp; transient-mark-mode: t<br>
<br>
Recent input:<br>
C-h C-h C-h C-h C-h C-h C-h o p &lt;backspace&gt; &lt;backspace&gt; <br>
w e b &lt;tab&gt; &lt;tab&gt; p a g e N &lt;backspace&gt; &lt;backspace&gt;=
 <br>
&lt;backspace&gt; &lt;backspace&gt; &lt;backspace&gt; &lt;backspace&gt; / P=
 <br>
a g e N &lt;tab&gt; &lt;tab&gt; o v &lt;tab&gt; &lt;return&gt; C-s w e a t =
<br>
h e r C-s C-s C-s C-s C-s C-s C-s C-s C-a C-p &lt;return&gt; <br>
s &lt; ! - - C-n C-n C-n C-n C-n C-n C-n C-e &lt;return&gt; <br>
- - &gt; C-x C-s s C-x b &lt;return&gt; C-n C-n C-n C-n C-n <br>
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n <br>
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-a C-l C-n <br>
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-x b &lt;return&gt; <br>
ESC &lt; C-s s i t e _ g r a p h C-s C-x b &lt;return&gt; C-x <br>
b &lt;return&gt; ESC &lt; C-s w e a t h e r U s a g e C-p C-s <br>
w e a t h e r D e t a i l s L i n k C-s C-s C-s C-s <br>
C-p C-a C-SPC C-n C-n C-n C-w s C-s C-s C-a C-k C-k <br>
C-s C-s C-p C-p C-p C-p C-a C-SPC C-n C-n C-n C-n C-n <br>
C-n C-n C-n C-n C-n C-w C-s C-g C-x C-s s C-x b &lt;return&gt; <br>
C-x C-x C-g C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n <br>
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-SPC C-n C-n <br>
C-w ? p C-x C-s p C-n C-n C-n C-n C-n C-n C-n C-n C-n <br>
C-n C-n C-n C-n C-n C-n C-SPC C-n C-n C-n C-w s C-x <br>
C-s s SPC s ESC x r e p o r t - e m a c s - b u g <br>
&lt;return&gt;<br>
<br>
Recent messages:<br>
...v001/pageNetConfig.xml locked by elrodd@HIDDEN (pid 32296): (s, q, p,=
 ?)?&nbsp; [2 times]<br>
Saving file /home/elrodd/src/.../pageNetConfig.xml...<br>
...v001/pageNetConfig.xml locked by elrodd@HIDDEN (pid 32296): (s, q, p,=
 ?)? <br>
Wrote /home/elrodd/src/.../pageNetConfig.xml<br>
Mark set<br>
...v001/pageNetConfig.xml locked by elrodd@HIDDEN (pid 32296): (s, q, p,=
 ?)? <br>
Saving file /home/elrodd/src/.../pageNetConfig.xml...<br>
...v001/pageNetConfig.xml locked by elrodd@HIDDEN (pid 32296): (s, q, p,=
 ?)? <br>
Wrote /home/elrodd/src/.../pageNetConfig.xml<br>
...v001/pageNetConfig.xml locked by elrodd@HIDDEN (pid 32296): (s, q, p,=
 ?)? <br>
<br>
</div>
</body>
</html>

--_000_17E84D662FD8204FB8C0E82A88F93175376D5A39wabexchp1sharpa_--




Acknowledgement sent to "Elrod, David" <elrodd@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#14250; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.